Bug 1461971

Summary: Upgrade Musescore from version 2.0.3 to 2.1.
Product: [Fedora] Fedora Reporter: Teemu Kielinen <teemu.kielinen>
Component: mscoreAssignee: Brendan Jones <brendan.jones.it>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: brendan.jones.it, brunovern.a, em3rson, fabrice.salvaire, i, kevin.perros
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: mscore-2.1.0-2.fc25 mscore-2.1.0-5.fc27 mscore-2.1.0-5.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-10 19:19:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Teemu Kielinen 2017-06-15 19:03:51 UTC
Description of problem:

The Musescore package in Fedora 26 repositories is outdated (2.0.3). Requesting an upgrade to the latest version, which is 2.1.

Comment 1 Fabrice Salvaire 2017-10-02 15:30:58 UTC
I am trying to make a RPM on copr but I encountered several compilation issues:

Setup:

- LAM was disabled (as in Fedora spec)
- other options as default


1) Issue when lam is off in ccmake: we have to clear LAM_XXX variables else it complains these variables are unset.


2) all.h


Scanning dependencies of target manpages
[  0%] Generating mscore.1.gz
Man pages have been compressed ready for installation.
Creating symlink alias for man pages.
Symlink alias: musescore.1.gz -> mscore.1.gz
[  0%] Built target manpages
Scanning dependencies of target qtsingleapp_autogen
make[2]: *** No rule to make target 'all.h', needed by 'thirdparty/singleapp/src/CMakeFiles/qtsingleapp_autogen'.  Stop.
CMakeFiles/Makefile2:8789: recipe for target 'thirdparty/singleapp/src/CMakeFiles/qtsingleapp_autogen.dir/all' failed
make[1]: *** [thirdparty/singleapp/src/CMakeFiles/qtsingleapp_autogen.dir/all] Error 2
Makefile:151: recipe for target 'all' failed
make: *** [all] Error 2

I copied manually all.h from source to continue


3) Then g++ complains about -fPIC due to Qt setup

(unfortunately I lost the error message)

I added it to compile all.h

```
/usr/lib64/ccache/c++ -fPIC -x c++-header -g -I/usr/include/qt5/  ... -o all.h.gch all.h
```


4) MP3 code issue (LAM is disabled)

cc1plus: warning: /home/scratch/sources/MuseScore-2.1-build/all.h.gch: created and used with differing settings of '-maccumulate-outgoing-args'
[ 83%] Linking CXX executable mscore
^[O3S^[O3SCMakeFiles/mscore.dir/loginmanager.cpp.o: In function `Ms::LoginManager::onGetMediaUrlRequestReady(QByteArray)':
/home/scratch/sources/MuseScore-2.1/mscore/loginmanager.cpp:406: undefined reference to `Ms::MuseScore::saveMp3(Ms::Score*, QString const&)'
CMakeFiles/mscore.dir/uploadscoredialog.cpp.o: In function `Ms::UploadScoreDialog::showOrHideUploadAudio()':
/home/scratch/sources/MuseScore-2.1/mscore/uploadscoredialog.cpp:196: undefined reference to `Ms::MuseScore::canSaveMp3()'
collect2: error: ld returned 1 exit status
mscore/CMakeFiles/mscore.dir/build.make:5885: recipe for target 'mscore/mscore' failed
make[2]: *** [mscore/mscore] Error 1
CMakeFiles/Makefile2:324: recipe for target 'mscore/CMakeFiles/mscore.dir/all' failed
make[1]: *** [mscore/CMakeFiles/mscore.dir/all] Error 2
Makefile:151: recipe for target 'all' failed
make: *** [all] Error 2

I fixed theses 2 methods
- void UploadScoreDialog::showOrHideUploadAudio()
- void LoginManager::onGetMediaUrlRequestReady(QByteArray ba)

Comment 2 Fabrice Salvaire 2017-10-03 14:24:14 UTC
RPMs are here https://copr.fedorainfracloud.org/coprs/fabricesalvaire/mao/

Comment 3 Brendan Jones 2017-10-08 19:04:37 UTC
Thanks for the help. I'll have a look this week.

Comment 4 Fedora Update System 2017-10-21 21:31:35 UTC
mscore-2.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-41133a795b

Comment 5 Fedora Update System 2017-10-21 21:31:47 UTC
mscore-2.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54b614ff20

Comment 6 Fedora Update System 2017-10-21 21:31:56 UTC
mscore-2.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed013bcba

Comment 7 Fedora Update System 2017-10-23 00:51:06 UTC
mscore-2.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54b614ff20

Comment 8 Fedora Update System 2017-10-23 23:20:32 UTC
mscore-2.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed013bcba

Comment 9 Fedora Update System 2017-10-23 23:49:24 UTC
mscore-2.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41133a795b

Comment 10 Fedora Update System 2017-10-31 08:41:07 UTC
mscore-2.1.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54b614ff20

Comment 11 Fedora Update System 2017-10-31 08:41:27 UTC
mscore-2.1.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed013bcba

Comment 12 Fedora Update System 2017-10-31 19:09:10 UTC
mscore-2.1.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54b614ff20

Comment 13 Fedora Update System 2017-11-01 16:57:30 UTC
mscore-2.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41133a795b

Comment 14 Fedora Update System 2017-11-01 17:21:53 UTC
mscore-2.1.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed013bcba

Comment 15 Fedora Update System 2017-11-02 08:14:08 UTC
mscore-2.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed013bcba

Comment 16 Fedora Update System 2017-11-02 08:15:40 UTC
mscore-2.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54b614ff20

Comment 17 Fedora Update System 2017-11-03 13:57:58 UTC
mscore-2.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41133a795b

Comment 18 Fedora Update System 2017-11-03 14:22:21 UTC
mscore-2.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bed013bcba

Comment 19 Fedora Update System 2017-11-04 18:00:57 UTC
mscore-2.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54b614ff20

Comment 20 Kevin Perros 2017-11-28 12:23:03 UTC
Hi,

Thank you for the job,
Though there is a dependency problem right now on FC27:

sudo dnf --enablerepo=updates-testing update musescore
Problem: package mscore-2.1.0-2.fc27.x86_64 requires qt5-qtbase(x86-64) = 5.9.1, but none of the providers can be installed
  - cannot install both qt5-qtbase-5.9.2-5.fc27.x86_64 and qt5-qtbase-5.9.1-9.fc27.x86_64
  - cannot install both qt5-qtbase-5.9.1-9.fc27.x86_64 and qt5-qtbase-5.9.2-5.fc27.x86_64
  - problem with installed package qt5-qtbase-5.9.2-5.fc27.x86_64
  - cannot install the best update candidate for package mscore-2.0.3-7.fc27.x86_64

Comment 21 Fedora Update System 2017-12-01 10:36:15 UTC
mscore-2.1.0-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bcde46a25b

Comment 22 Fedora Update System 2017-12-01 10:36:35 UTC
mscore-2.1.0-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d86ef06d

Comment 23 Fedora Update System 2017-12-02 08:02:25 UTC
mscore-2.1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-12-02 19:55:11 UTC
mscore-2.1.0-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bcde46a25b

Comment 25 Fedora Update System 2017-12-02 22:39:42 UTC
mscore-2.1.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d86ef06d

Comment 26 Fedora Update System 2017-12-10 19:19:58 UTC
mscore-2.1.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-12-10 20:15:24 UTC
mscore-2.1.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.